Bug 443993 - can't delete all pics from an iphone
can't delete all pics from an iphone
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gphoto2 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Jindrich Novy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-24 10:40 EDT by Dave Jones
Modified: 2015-01-04 17:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:35:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug log from gphoto2 --debug -D (373.33 KB, text/plain)
2008-04-24 10:40 EDT, Dave Jones
no flags Details

  None (edit)
Description Dave Jones 2008-04-24 10:40:44 EDT
gphoto2 recognises and lets me download photos from an iphone, but the -D
argument won't delete any pictures.

It prints a progress bar like..
Initializing Camera |--------------                          |  34.0%        9s

completes this, and then returns to the command line, leaving all the photos
still in place.
Comment 1 Dave Jones 2008-04-24 10:40:44 EDT
Created attachment 303638 [details]
debug log from gphoto2 --debug -D
Comment 2 Bug Zapper 2008-05-14 06:05:00 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 cornel panceac 2008-12-30 03:36:41 EST
strange enough, similar results i get from gthumb --import-photos in (fully updated) f10. it seems to have erased a few files but not all. repeating operation while camera is still connected does not delete more files.

unfortunately, since i'm unable to mount the device to delete the pics by hand, i'll have to search another way to do the job.

as a side note, disabling gnome actions in preferences-hardware, does not actually disable them: on connect, gthumb --import-photos still starts automatically.
Comment 4 cornel panceac 2008-12-30 04:21:48 EST
i forgot to mention it's an kodak z650 camera :)

meanwhile i've tried to use another system where f10 is not an upgraded f9 but a new install. there i was able to mount the camera (under gvfs, maybe because i've choosed as the "action: do nothing" upon insert?) and remove almost all files left. now there are only 10 files not deleted . this i will call an improvement :)

i'll keep testing and reporting.
Comment 5 cornel panceac 2008-12-30 04:56:18 EST
by repeatedly mounting/umounting the camera in gvfs i was able to delete all the photos in my camera.
Comment 6 Lonni J Friedman 2009-03-15 15:29:53 EDT
I'm experiencing the same problem with a Canon SX1100 IS and gthumb-2.10.10-3.fc10.i386

See also bug 477997
Comment 7 Bug Zapper 2009-06-09 20:24:46 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 cornel panceac 2009-06-10 12:00:28 EDT
is seems that in f11 the bug no longer exists.
Comment 9 Lonni J Friedman 2009-06-20 17:52:50 EDT
This bug is present in Fedora10, and should not be closed.
Comment 10 Bug Zapper 2009-07-14 11:35:16 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.